# Generated by Django 2.2.5 on 2019-09-23 19:11

from django.db import migrations

def add_base_payments(apps, schema_editor):
    BasePayment = apps.get_model('common', 'BasePayment')
    Payment = apps.get_model('khipu', 'Payment')
    for pay in Payment.objects.all():
        basepayment, created = BasePayment.objects.get_or_create(
            buy_order=pay.buy_order,
            amount=pay.amount,
            customer_rut=pay.customer_rut,
            registered_in_matrix=False
            )
        pay.parent_payment = basepayment
        pay.save()

class Migration(migrations.Migration):

    dependencies = [
        ('khipu', '0010_auto_20190923_1853'),
    ]

    operations = [
        migrations.RunPython(add_base_payments),
    ]
